#pragma once

#include <SDL3/SDL.h>

namespace Mouse {
    extern Uint32 cursor_hide_time;      // Tiempo en milisegundos para ocultar el cursor
    extern Uint32 last_mouse_move_time;  // Última vez que el ratón se movió
    extern bool cursor_visible;          // Estado del cursor

    void handleEvent(const SDL_Event& event);
    void updateCursorVisibility();
}  // namespace Mouse